Konuyu Oyla:
  • Toplam: 0 Oy - Ortalama: 0
Share Thread:
Raspberry pi Raspbian pyqt5
#1
Merhaba Arkadaşlar ;

Aranızda pyqt5`raspbian işletim sistemine kuran varmı? 2 gündür uğraşıyoruz bir türlü çözemedik. Qmake hatası ile karşılaşıyoruz sürekli ve bir çok makale bir çok kaynak okuduk ama işin içinden çıkamadık bu konu hakkında bizde yardımcı olabilirmisiniz ? kullanacağımız Qcamera, Qcameraviewfinder ve Qt Multimedia widgets 5.4 özellikleri sadece pyqt5`de mevcut diğer versionları işimizi açıkcası görmedi.

Şimdiden Teşekkür ederim herkese iyi çalışmalar.
Ara
Cevapla
#2
(05-19-2015, 02:03 AM)smhzkan Nickli Kullanıcıdan Alıntı: Merhaba Arkadaşlar ;

Aranızda pyqt5`raspbian işletim sistemine kuran varmı? 2 gündür uğraşıyoruz bir türlü çözemedik. Qmake hatası ile karşılaşıyoruz sürekli ve bir çok makale bir çok kaynak okuduk ama işin içinden çıkamadık bu konu hakkında bizde yardımcı olabilirmisiniz ? kullanacağımız Qcamera, Qcameraviewfinder ve Qt Multimedia widgets 5.4 özellikleri sadece pyqt5`de mevcut diğer versionları işimizi açıkcası görmedi.

Şimdiden Teşekkür ederim herkese iyi çalışmalar.

Merhabalar,

Malesef repo'da yok, bende QtWebEngine için uğraşıyorum, bugün yarın çözüme kavuştururum diye düşünüyorum, eğer ki çözersem buraya yazacağım.

Siz ek olarak şu işlemi deneyebilirsiniz:

sudo apt-get install python3-pyqt5 pytho3-pyqt5.qtmultimedia

Python 3 için PyQt5 5.5.1 versiyonunu kuracaktır.
Ara
Cevapla
#3
Make hatasını görünce build-essential paketinin yüklü olmaya bileceğini düşündüm. Bir kontrol edin isterseniz.
Su linkte anlatım var. Bunu denemek isteyebilirsiniz.
http://pyqt.sourceforge.net/Docs/PyQt5/i...ation.html

LG-E610 cihazımdan Tapatalk kullanılarak gönderildi
Ara
Cevapla
#4
(09-09-2016, 05:57 PM)furkan150061 Nickli Kullanıcıdan Alıntı: Make hatasını görünce build-essential paketinin yüklü olmaya bileceğini düşündüm. Bir kontrol edin isterseniz.
Su linkte anlatım var. Bunu denemek isteyebilirsiniz.
http://pyqt.sourceforge.net/Docs/PyQt5/i...ation.html

LG-E610 cihazımdan Tapatalk kullanılarak gönderildi

Buradaki anlatım ile x86_64 ve amd64 gibi işlemci mimarisine uygun cihazlarda sorunsuz build yapılıyor. arm için malesef uygun değil, sadece bir kaç tane modülü kurabiliyor ve bunların içinde arkadaşın istediğide benim istediğimde olmuyor.  
pip3 ile kurmak için ise 64 bit işlemci şart maalesef PyQt5 kurulumu için.
Ara
Cevapla


Hızlı Menü:


Konuyu Okuyanlar: 1 Ziyaretçi